@left-bar-width: 16rem;
@left-bar-bg: #222;

.html_left-bar {
    overflow: hidden;
}

.left-bar {
    position: fixed;
    overflow: hidden;
    z-index: 25;
    top:0;
    bottom:0;
    left: 0;
    @media @mq_tablet_ {
        display: block;
        width: @left-bar-width;
    }
    @media @mq_tablet {
        display: none;
        z-index: 75;
        right: 0;
        &_in, &_open, &_out {
            display: block;
        }
    }
    .html_index & {
        display: none;
    }

    &__overlay {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-color: hsla(0, 0, 50%, 0.95);
        @media @mq_tablet {
            opacity: 0;
            .left-bar_in & {
                animation: fade-in @duration @easing both;
            }

            .left-bar_open & {
                opacity: 1;
            }

            .left-bar_out & {
                animation: fade-out @duration @easing both;
            }
        }
    }
    &__box {
        width: @left-bar-width;
        background-color: @left-bar-bg;
        height: 100%;
        @media @mq_tablet {
            transform: translateX(-100%);
            .left-bar_in & {
                animation: move-from-left @duration @easing both;
            }
            .left-bar_open & {
                transform: translateX(0);
            }
            .left-bar_out & {
                animation: move-to-left @duration @easing both;
            }
        }
    }
    &__scroll {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        @media @mq_tablet_ {
            width: @left-bar-width*1.2;
        }
        &:hover {
            @media @mq_tablet_ {
                width: @left-bar-width;
            }
        }
    }
    &__content {
        min-height: 100%;
        width: @left-bar-width;
        display: flex;
        flex-direction: column;
        & > * {
            .flex-item_0;
        }
    }
    &__logo {
        margin-bottom: 2em;
        text-decoration: none;
        text-transform: uppercase;
        font-weight: 500;
        letter-spacing: 0.05em;

    }
    &__header {
        padding: 2em;
    }
    &__body {
        //.mv_auto;
    }
    &__footer {
        padding: 2em;
        display: none;
    }
    &__search {
        padding: 0 1rem 1rem 1rem;
    }
}
